FROM python:alpine

ENV TZ=America/New_York

RUN apk add ffmpeg font-dejavu font-noto zsh bash nano
RUN pip install ffmpeg-python requests pillow

RUN mkdir /etc/cron.d
RUN crontab -l > /etc/cron.d/cron
RUN printf "# stream updates\n# min\thour\tday\tmonth\tweekday\tcommand\n" >> /etc/cron.d/cron
RUN printf "58 \t23 \t* \t* \t* \tpython3 /files/scripts/update.py --tomorrow > /files/logs/stream_update 2>&1 # Update video at 23:58 every day \n" >> /etc/cron.d/cron
RUN printf "*/15 \t* \t* \t* \t* \tpython3 /files/scripts/update.py --only-data >> /files/logs/stream_data 2>&1 # Update data every 15 minutes \n" >> /etc/cron.d/cron
RUN crontab /etc/cron.d/cron

CMD /usr/sbin/crond -f -l 0
